### Parameters

`T : CModule_type.CTranslation`

### Signature

`val function_decl : CFrontend_config.translation_unit_context ‑> InferIR.Tenv.t ‑> InferIR.Cfg.t ‑> InferGenerated.Clang_ast_t.decl ‑> CModule_type.block_data option ‑> unit`
`val translate_one_declaration : CFrontend_config.translation_unit_context ‑> InferIR.Tenv.t ‑> InferIR.Cfg.t ‑> CModule_type.decl_trans_context ‑> InferGenerated.Clang_ast_t.decl ‑> unit`